%  taylor1.m
% Matlab file for Part 1 of the Taylor Polynomial I module

disp('********************************************')
disp('Part 1:  Polynomial Coefficients ')
disp('********************************************')
disp('  ')    

    format short

    disp('Preliminaries: ')
    disp('Suppose c is a vector containing the ')
    disp('coeffients of a polynomial for powers')
    disp('of x in decreasing order,i.e., the poly is')
    disp('   c(1)*x^n + c(2)*x^(n-1)+ ...')
    disp(' ')
    disp('MATLAB has a function called polyval(c,x)')
    disp('that will evaluate this polynomial for a ')
    disp('value of x, or for a vector of x values.')
    disp(' ')
    disp('If you enter the values of the coefficients')
    disp('a0, a1, a2, a3, a4 below, and then enter the')
    disp('commands beneath, the polynomial')
    disp('   q(x) = a4*x^4 + a3*x^3 + a2*x^2 + a0  ')
    disp('will be plotted: ')
    disp(' ')
    disp(' a0= 0; a1= 0; a2 = 0; a3= 0; a4 = 0;  ')
    disp(' ')
    disp(' c=[a4, a3, a2, a1, a0]; ')
    disp(' x=-2:0.2:10; ')
    disp(' y=polyval(c,x); ')
    disp(' plot(x,y) ')
    disp(' xlabel(''x'') ')
    disp(' ylabel(''y=p(x)'') ')
    disp(' ')
    disp('------------------------------------------- ')
    disp('Step 1:')
    disp('Find the value of a0 in terms of p(0) and')
    disp('enter it into MATLAB.  Then use the above')
    disp('commands to plot the resulting q(x)')
    disp('(Leave all coeficients but a0 equal to zero.)')
    disp(' ')
    disp('Answer the questions in step 1 as MATLAB')
    disp('comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 2:')
    disp('Find the value of a1 in terms of p''(0) and')
    disp('enter it into MATLAB.  Then use the same')
    disp('commands as before to plot the resulting q(x).')
    disp('(Leave a0 at its values from step 1.) ')
    disp(' ')
    disp('Answer the questions in step 2 as MATLAB')
    disp('comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 3:')
    disp('Find the value of a2 in terms of p''''(0) and')
    disp('enter it into MATLAB.  Then use the same')
    disp('commands as before to plot the resulting q(x).')
    disp('(Leave a0 and a1 at their values from steps 1')
    disp(' and 2.) ')
    disp(' ')
    disp('Answer the questions in step 3 as MATLAB')
    disp('comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')
    
    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 4:')
    disp('Find the value of a3, the cubic coefficient,')
    disp('and enter it into MATLAB.  Then use the same')
    disp('commands as before to plot the resulting q(x).')
    disp('(Leave a0, a1, and a2 at their values from ')
    disp(' steps 1 thru 3.) ')
    disp(' ')
    disp('Answer the questions in step 4 as MATLAB')
    disp('comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 5:')
    disp('Find the value of a4, the quartic coefficient,')
    disp('and enter it into MATLAB.  Then use the same')
    disp('commands as before to plot the resulting q(x).')
    disp('(Leave a0, a1, a2, and a3 at their values from')
    disp(' steps 1 thru 4.) ')
    disp(' ')
    disp('Were you sucessful in fitting p(x)?  What was')
    disp('your final q(x) polynomial?  Answer as MATLAB ')
    disp('comments in your diary file.')
    disp(' ')
    disp('----------------------------------------------')
    disp('When you are finished with part 1, to go on to')
    disp('part 2 of this module, type: taylor2.')
    disp(' ')